## mdk3 6.0

=== Makefile ===
CFLAGS		= -g -O3 -Wall -Wextra
LINKFLAGS	= -lpthread

DESTDIR		=
PREFIX		= /usr/local
SBINDIR		= $(PREFIX)/sbin

OSD		= osdep
LIBS		= -L$(OSD) -l$(OSD)
LIBOSD		= $(OSD)/lib$(OSD).so


all: osd mdk3

osd:
	$(MAKE) -C $(OSD)

$(LIBOSD):
	$(MAKE) -C $(OSD)

mdk3: mdk3.c $(OSD)/libosdep.a
	$(CC) $(CFLAGS) $(LINKFLAGS) $^ -o $@ $(LIBS)

install: mdk3
	$(MAKE) -C $(OSD) install
	install -D -m 0755 $^ $(DESTDIR)/$(SBINDIR)/$^

clean:
	rm -f mdk3
	$(MAKE) -C $(OSD) clean

distclean: clean

=== osdep/Makefile ===
include common.mak

RTAP		= radiotap

LIB		= libosdep.a 
CFLAGS		+= $(PIC) -I.. $(LIBAIRPCAP)

OBJS_NET	= network.o
OBJS		= osdep.o common.o $(OBJS_NET)

#AIRPCAP_DIR	= airpcap
OBJS_APCAP	= airpcap.o

OBJS_OBSD	= $(OBJS) openbsd.o openbsd_tap.o
OBJS_NBSD	= $(OBJS) netbsd.o netbsd_tap.o
OBJS_FBSD	= $(OBJS) freebsd.o freebsd_tap.o
OBJS_LINUX	= $(OBJS) linux.o linux_tap.o radiotap/radiotap-parser.o common.o
OBJS_DUMMY	= $(OBJS) dummy.o dummy_tap.o
OBJS_CYGWIN	= $(OBJS) cygwin.o cygwin_tap.o

# XXX make it a DLL, without polluting cygwin.c
DOPCAP		=
ifeq ($(AIRPCAP), true)
OBJS_CYGWIN    += $(OBJS_APCAP)
DOPCAP		= $(AR) x $(AC_ROOT)/../developers/Airpcap_Devpack/lib/libairpcap.a
endif

all:
	@echo Building for $(OSNAME)
	@$(MAKE) .os.$(OSNAME)

.os.dummy: $(OBJS_DUMMY)
	$(AR) cru $(LIB) $(OBJS_DUMMY)
	$(RANLIB) $(LIB)
	touch $(@)

.os.FreeBSD: $(OBJS_FBSD)
	$(AR) cru $(LIB) $(OBJS_FBSD)
	$(RANLIB) $(LIB)
	touch $(@)

.os.OpenBSD: $(OBJS_OBSD)
	$(AR) cru $(LIB) $(OBJS_OBSD)
	$(RANLIB) $(LIB)
	touch $(@)

.os.NetBSD: $(OBJS_NBSD)
	$(AR) cru $(LIB) $(OBJS_NBSD)
	$(RANLIB) $(LIB)
	touch $(@)

.os.Linux: $(OBJS_LINUX)
	$(AR) cru $(LIB) $(OBJS_LINUX)
	$(RANLIB) $(LIB)
	touch $(@)

.os.cygwin: $(OBJS_CYGWIN) 
	$(DOPCAP)
	$(AR) cru $(LIB) *.o
	$(RANLIB) $(LIB) 
	touch $(@)

.os.%: .os.dummy
	@echo "Your platform is unsupported by osdep, dummy code compiled."
	touch $(@)

install: all

uninstall:

clean: 
	$(MAKE) -C $(RTAP) clean
	rm -f $(LIB) *.o .os.*

## mdk3 1.0

=== debian/changelog ===
mdk3 (1.0) fremantle; urgency=low

  * Initial release

 -- Karam Baki <karam.baki@gmail.com>  Mon, 13 Feb 2012 03:57:14 +0300

=== debian/control ===
Source: mdk3
Section: user/network
Priority: optional
Build-Depends: 
Maintainer: Karam Baki <karam.baki@gmail.com>
Standards-Version: 1.0
XSBC-Bugtracker: mailto:karam.baki@gmail.com

Package: mdk3
Architecture: armel
Description: Mdk3
 mdk3 Is a Tool to exploit wireless vulnerabilities
XB-Maemo-Display-Name: Mdk3 wireless vulnerabilities
XSBC-Bugtracker: mailto:karam.baki@gmail.com

## mdk3 1.1

=== debian/changelog ===
mdk3 (1.1) fremantle; urgency=low

  * Permissions

 -- Karam Baki <karam.baki@gmail.com>  Sat, 25 Feb 2012 03:23:00 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: 
 Maintainer: Karam Baki <karam.baki@gmail.com>
-Standards-Version: 1.0
+Standards-Version: 1.1
 XSBC-Bugtracker: mailto:karam.baki@gmail.com
 
 Package: mdk3

## mdk3 6.0

=== debian/changelog ===
mdk3 (6.0-9ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes (LP: #2097796):
    - Build-depend on aircrack-ng which is not portable to all archs, to
      avoid generating uninstallable packages

 -- Matthieu Clemenceau <matthieu.clemenceau@canonical.com>  Mon, 10 Feb 2025 21:11:17 +0000

mdk3 (6.0-9) unstable; urgency=medium

  * Team upload.

  [ Samuel Henrique ]
  * Update upstream link to point to GitHub archive

  [ Sven Geuer ]
  * d/p/*:
    - Add patch to fix FTBFS with gcc-14 (Closes: #1081053).
    - Add "Forwarded: not-needed" to fix_install.patch and
      makefile_dependency.patch
  * d/control: Bump Standards-Version to 4.7.0.
  * d/copyright: Update debian/* stanza.
  * d/u/metadata: Add upstream metadata file.

 -- Sven Geuer <sge@debian.org>  Fri, 04 Oct 2024 22:58:31 +0200

mdk3 (6.0-8ubuntu1) kinetic; urgency=medium

  * Build-depend on aircrack-ng which is not portable to all archs, to
    avoid generating uninstallable packages

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 19 Oct 2022 05:13:57 +0000

mdk3 (6.0-8) unstable; urgency=medium

  * Bump Standards-Version to 4.6.0
  * d/p/makefile_osdep_parallel_build_fix: New patch from upstream to fix
    parallel builds. Thanks to Adrian Bunk for submitting the fix.

 -- Samuel Henrique <samueloph@debian.org>  Sun, 12 Sep 2021 00:20:46 +0100

mdk3 (6.0-7) unstable; urgency=medium

  [ Samuel Henrique ]
  * Bump DH to 13
  * Add salsa-ci.yml
  * Configure git-buildpackage for Debian
  * Fix 'wifi' capitalization -> Wi-Fi
  * d/control: Add Rules-Requires-Root: no
  * d/copyright:
    - Add License paragraph for BSD-3-clause
    - Remove double line
    - Update copyright information
  * d/mdk3.1: Fix typo in manpage
  * d/watch: Point to https endpoint

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

 -- Samuel Henrique <samueloph@debian.org>  Thu, 28 Jan 2021 19:32:08 +0000

mdk3 (6.0-6) unstable; urgency=medium

  * Bump Standards-Version to 4.2.1
  * Update my email address on remaining files
  * d/mdk3.1: fix typo

 -- Samuel Henrique <samueloph@debian.org>  Wed, 26 Sep 2018 20:29:43 -0300

mdk3 (6.0-5) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Samuel Henrique ]
  * Bump DH to 11
  * Update Standards-Version to 4.2.0
  * update my email to @debian.org
  * d/control: set priority to optional, was extra
  * d/copyright: update debian/* entry
  * d/p/makefile_dependency.patch: new patch to fix FTCBFS,
    thanks to Helmut Grohne (closes: #905719)

 -- Samuel Henrique <samueloph@debian.org>  Thu, 09 Aug 2018 22:38:25 -0300

mdk3 (6.0-4) unstable; urgency=medium

  * debian/patch/sparc.path: New patch to fix FTBFS on sparc64 caused because
    osdep/byteorder.h assumes it is running on Solaris.

 -- Samuel Henrique <samueloph@debian.org>  Sun, 06 Nov 2016 20:02:44 -0200

mdk3 (6.0-3) unstable; urgency=medium

  * debian/control: Change Architecture from any to linux-any
    (closes: #843092, #843093).
  * debian/mdk3.1: Update to point to example files correct location.
  * debian/patches:
    - example_file.patch: Update to point to correct location.
    - makefile_flags.patch: Update to fix FTBFS with parallel builds
      (closes: #843086).
    - linux_macro.patch: New patch, check for "__linux__" macro instead of
      "linux", this fix FTBFS when running GCC with GNU extensions disabled
      (closes: #843089).
    - radiotap_needs_types_h.patch: New patch from OpenWRT, fix FTBFS on mips.

 -- Samuel Henrique <samueloph@debian.org>  Sun, 06 Nov 2016 13:50:23 -0200

mdk3 (6.0-2) unstable; urgency=medium

  * Implement suggestions from lumin:
    - reword extended description
    - move docs in a better location
    - fix manpages and install files.

 -- Samuel Henrique <samueloph@debian.org>  Wed, 02 Nov 2016 08:55:32 +0100

mdk3 (6.0-1) unstable; urgency=medium

  * Initial release, this package was based on the work of the people at kali:
    Sophie Brun, Mati Aharoni and dookie, thanks folks. (Closes: #836796)

 -- Samuel Henrique <samueloph@debian.org>  Sat, 27 Aug 2016 12:48:02 -0300

=== debian/control ===
Source: mdk3
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Samuel Henrique <samueloph@debian.org>
Build-Depends: debhelper-compat (= 13), aircrack-ng
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/aircrack-ng/mdk3
Vcs-Browser: https://salsa.debian.org/pkg-security-team/mdk3
Vcs-Git: https://salsa.debian.org/pkg-security-team/mdk3.git

Package: mdk3
Architecture: linux-any
Depends: aircrack-ng,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Wireless attack tool for IEEE 802.11 networks
 MDK is a proof-of-concept tool to exploit common
 IEEE 802.11 (Wi-Fi) protocol weaknesses.
 Features:
   * Bruteforce MAC Filters.
   * Bruteforce hidden SSIDs (some small SSID wordlists included).
   * Probe networks to check if they can hear you.
   * Intelligent Authentication-DoS to freeze APs (with success checks).
   * FakeAP - Beacon Flooding with channel hopping (can crash NetStumbler and
     some buggy drivers)
   * Disconnect everything (aka AMOK-MODE) with Deauthentication and
     Disassociation packets.
   * WPA TKIP Denial-of-Service.
   * WDS Confusion - Shuts down large scale multi-AP installations.

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
https://api.github.com/repos/aircrack-ng/mdk3/releases?per_page=10 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@
